## WebKitDOMGamepad

WebKitDOMGamepad

## Functions

gchar * | webkit_dom_gamepad_get_id ()
gulong | webkit_dom_gamepad_get_index ()
guint64 | webkit_dom_gamepad_get_timestamp ()

## Properties

gchar * | id | Read
gulong | index | Read
guint64 | timestamp | Read

## Types and Values

| WebKitDOMGamepad

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMGamepad

## Description

## Functions

### webkit_dom_gamepad_get_id ()

    gchar *
    webkit_dom_gamepad_get_id (WebKitDOMGamepad *self);

#### Parameters

self | A WebKitDOMGamepad |

#### Returns

A gchar

### webkit_dom_gamepad_get_index ()

    gulong
    webkit_dom_gamepad_get_index (WebKitDOMGamepad *self);

#### Parameters

self | A WebKitDOMGamepad |

#### Returns

A gulong

### webkit_dom_gamepad_get_timestamp ()

    guint64
    webkit_dom_gamepad_get_timestamp (WebKitDOMGamepad *self);

#### Parameters

self | A WebKitDOMGamepad |

#### Returns

A guint64

## Types and Values

### WebKitDOMGamepad

    typedef struct _WebKitDOMGamepad WebKitDOMGamepad;

## Property Details

### The `“id”` property

      “id”                       gchar *

read-only gchar* Gamepad:id.

Flags: Read

Default value: ""

### The `“index”` property

      “index”                    gulong

read-only gulong Gamepad:index.

Flags: Read

### The `“timestamp”` property

      “timestamp”                guint64

read-only guint64 Gamepad:timestamp.

Flags: Read

Default value: 0